/**
 *  Copyright (c) 2014,
 *  BTC Embedded Systems AG, Oldenburg, Germany
 *  All rights reserved
 *  ---------------------------------------------------------
 *  $Author: $
 *  $Date:  $
 *  $Revision: $
 **/
package com.btc.ep.base.bl.repository;

/**
 * This interface provide the base functions for all domain's.
 * This Repository are used by the Business Layers for access to the DataBase.
 * 
 * @author Simon Kollmann
 */
public interface StandardRepository {


    /**
     * Clear the Database.
     * After execution all ModelElements deleted in the persistenceContext and all DMO's in BL are detached.
     *
     * @return success.
     */
    public boolean clearDatabase();
}
